## org.aspectj.weaver.tools
Class DefaultMatchingContext

    java.lang.Object
      org.aspectj.weaver.tools.DefaultMatchingContext

All Implemented Interfaces:
  MatchingContext

    public class DefaultMatchingContext

extends java.lang.Object
implements MatchingContext

Default implementation of MatchingContext, backed by a Map.

Constructor Summary
`DefaultMatchingContext()`

Method Summary
`void` `addContextBinding(java.lang.String name, java.lang.Object value)` Add a context binding with the given name and value
`java.lang.Object` `getBinding(java.lang.String contextParameterName)` returns the binding associated with the given context parameter name (or null if there is no such context).
`boolean` `hasContextBinding(java.lang.String contextParameterName)` Returns true iff this matching context has a defined binding for the given context parameter.
`void` `removeContextBinding(java.lang.String name)` Remove the context binding with the given name

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### DefaultMatchingContext

    public DefaultMatchingContext()

Method Detail

### hasContextBinding

    public boolean hasContextBinding(java.lang.String contextParameterName)

  Description copied from interface: `MatchingContext`
  Returns true iff this matching context has a defined binding for the given context parameter.

  Specified by:
    `hasContextBinding` in interface `MatchingContext`

### getBinding

    public java.lang.Object getBinding(java.lang.String contextParameterName)

  Description copied from interface: `MatchingContext`
  returns the binding associated with the given context parameter name (or null if there is no such context).

  Specified by:
    `getBinding` in interface `MatchingContext`
  Returns:

### addContextBinding

    public void addContextBinding(java.lang.String name,
                                  java.lang.Object value)

  Add a context binding with the given name and value

  Parameters:
    `name` -
    `value` -

### removeContextBinding

    public void removeContextBinding(java.lang.String name)

  Remove the context binding with the given name

  Parameters:
    `name` -